Subject: Heterogeneous network computing with Perl5
From: [email-masked] (Edward Walker)
Date: 8 Jun 1996 04:02:44 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc

Hi,

I've written a Perl5 extension for the Parallel 
Virtual Machine (PVM) message-passing library.

The PVM message passing system enables a programmer
to configure a group of (possibly heterogenous) computers
connected via a network (including the internet) into a 
parallel virtual machine.  The system was developed by
the University of Tennessee, Oak Ridge National 
Laboratory and Emory University.   

Using PVM, applications can be developed which 
spawns parallel processes onto nodes in this virtual
machine to perform specific tasks.  These parallel tasks
can also periodically exchange information using a set
of message passing functions developed for the system. 
developed for the system.  

PVM applications have mostly been developed in the scientific 
and engineering fields.  However applications for real-time
and client/server systems can also be developed.  PVM 
PVM simply provides a convenient way for managing parallel tasks
and communications  without need for rexec or socket level 
programming.

As a utility, PVM enables an organisation to leverage on the 
computers already available for parallel processing.  
Parallel applications can be started during non-peak 
hours to utilise idle CPU cycles. 
Or dedicated workstation clusters connected via 
a high performance network like ATM can be used for high 
performance computing.  

You're welcome to try out the extension by visiting the 
web page 

	http://www.nsrc.nus.sg/STAFF/edward/Pvm.html

Please mail any comments and compliants to me.  I shall 
endeavour to try and respond but I'm abit bogged down 
with work lately.  If you find any problems in getting 
the extension I could email a uuencoded version of it 
to you directly if you ask.  

Anyway enjoy!  I've found writing PVM programs in perl easier 
then writing in C, principally because I don't have 
to compile the executable separately on different architectures
before running it.  As long as the libraries have been 
pre-compiled on the different architectures, a PVM 
perl application will just spawn away and execute correctly.  
It's been an interesting experience ...

- ed
-----------------------------------------------------------
Dr Edward Walker
National Supercomputing Research Centre
81, Science Park Drive
Singapore 0511

internet: [email-masked]
tel: (65)-770-9234